<ion-header>
  <ion-toolbar>
    <ion-title>Edit Menu</ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="closeModal()">
        <ion-icon slot="icon-only" name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

<form #form="ngForm" (ngSubmit)="editMenu(form)">

    <ion-list>
      <ion-item>
        <ion-label position="floating">Name</ion-label>
        <ion-input name="name" ngModel={{spotData.name}}  required></ion-input>
      </ion-item>
  
      <ion-item>
        <ion-label position="floating">Description</ion-label>
        <ion-textarea name="description" ngModel={{spotData.description}}  required></ion-textarea>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Prrice Start</ion-label>
        <ion-input type="number" name="start" ngModel={{spotData.price.start}}  required></ion-input>
      </ion-item>  
      
      <ion-item>
          <ion-label position="floating">Price End</ion-label>
          <ion-input type="number" name="end" ngModel={{spotData.price.end}}  required></ion-input>
      </ion-item>

    </ion-list>

    <div class="ion-padding">
        <ion-button type="submit" [disabled]="form.invalid" expand="block">Submit</ion-button>
    </div>

</form>

</ion-content>
